org.eclipse.jetty.continuation

## Interface ContinuationListener

All Superinterfaces:
  EventListener

    public interface ContinuationListener
    extends EventListener

A Continuation Listener

A ContinuationListener may be registered with a call to `Continuation.addContinuationListener(ContinuationListener)`.

### Method Summary

Methods
`void` `onComplete(Continuation continuation)` Called when a continuation life cycle is complete and after any calls to `ServletRequestListener.requestDestroyed(javax.servlet.ServletRequestEvent)` The response may still be written to during the call.
`void` `onTimeout(Continuation continuation)` Called when a suspended continuation has timed out.

### Method Detail

#### onComplete

    void onComplete(Continuation continuation)

Called when a continuation life cycle is complete and after any calls to `ServletRequestListener.requestDestroyed(javax.servlet.ServletRequestEvent)` The response may still be written to during the call.

Parameters:
  `continuation` -

#### onTimeout

    void onTimeout(Continuation continuation)

Called when a suspended continuation has timed out. The response may be written to and the methods `Continuation.resume()` or `Continuation.complete()` may be called by a onTimeout implementation,

Parameters:
  `continuation` -